use std::fmt::Display;

#[derive(Debug, Clone, PartialEq)]
pub struct DvmPointer {
    pub raw_pointer: *const u8,
    pub length: usize,
}

impl Display for DvmPointer {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "DvmPointer({:p}, {})", self.raw_pointer, self.length)
    }
}